Package org.codehaus.plexus.util.io

# Class CachingWriter

java.lang.Object
java.io.Writer
java.io.OutputStreamWriter
org.codehaus.plexus.util.io.CachingWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class CachingWriter extends OutputStreamWriter
Caching Writer to avoid overwriting a file with the same content.

## Field Summary

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`CachingWriter(File path, Charset charset)`
`CachingWriter(Path path, Charset charset)`
`CachingWriter(Path path, Charset charset, int bufferSize)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isModified()`

### Methods inherited from class java.io.OutputStreamWriter

`append, append, close, flush, getEncoding, write, write, write`

### Methods inherited from class java.io.Writer

`append, nullWriter, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachingWriter

public CachingWriter(File path, Charset charset) throws IOException

Throws:
  `IOException`

### CachingWriter

public CachingWriter(Path path, Charset charset) throws IOException

Throws:
  `IOException`

### CachingWriter

public CachingWriter(Path path, Charset charset, int bufferSize) throws IOException

Throws:
  `IOException`

## Method Details

### isModified

public boolean isModified()